path: /build/build/netsurf-buildsystem-dev-util-1.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/netsurf-buildsystem -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/netsurf-buildsystem
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/netsurf-buildsystem && luet-portage
    --dir /pkgdir/netsurf-buildsystem dev-util/netsurf-buildsystem && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9a3fbba2f3bface9028bc968cdfebd5f5a916316701998681c64b7ac0b6a1dee
  package:
    name: netsurf-buildsystem
    version: "1.7"
    category: dev-util
    requires:
    - name: macaroni-funtoo-race14
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Build system used for netsurf and its libs
    uri:
    - https://www.netsurf-browser.org
    license: MIT
    buildtimestamp: 2023-09-06 22:35:30.97711668 +0000 UTC m=+107.300759931
    labels:
      emerge.packages: dev-util/netsurf-buildsystem
      kit: dev-kit
      original.package.name: dev-util/netsurf-buildsystem
      original.package.slot: "0"
      original.package.version: 1.7-r1
    treedir: /build/packages
  package_dir: /pkgdir/netsurf-buildsystem
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c4066b73860563f6807142b4cd59bc04a910552502a2b322be81b9910716102c
compressiontype: zstd
files:
- usr/share/netsurf-buildsystem/citools/jenkins-build.sh
- usr/share/netsurf-buildsystem/gentoo-helpers.sh
- usr/share/netsurf-buildsystem/makefiles/Makefile.clang
- usr/share/netsurf-buildsystem/makefiles/Makefile.gcc
- usr/share/netsurf-buildsystem/makefiles/Makefile.norcroft
- usr/share/netsurf-buildsystem/makefiles/Makefile.open64
- usr/share/netsurf-buildsystem/makefiles/Makefile.pkgconfig
- usr/share/netsurf-buildsystem/makefiles/Makefile.subdir
- usr/share/netsurf-buildsystem/makefiles/Makefile.tools
- usr/share/netsurf-buildsystem/makefiles/Makefile.top
- usr/share/netsurf-buildsystem/testtools/testrunner.pl
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/BUILD_TIME
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/CATEGORY
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/CBUILD
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/CFLAGS
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/CHOST
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/CONTENTS
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/COUNTER
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/CXXFLAGS
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/DEFINED_PHASES
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/DESCRIPTION
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/EAPI
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/FEATURES
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/HOMEPAGE
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/IUSE
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/KEYWORDS
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/LDFLAGS
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/LICENSE
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/PF
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/SIZE
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/SLOT
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/USE
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/environment.bz2
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/netsurf-buildsystem-1.7-r1.ebuild
- var/db/pkg/dev-util/netsurf-buildsystem-1.7-r1/repository
package_cacheimage: ""
runtime:
  name: netsurf-buildsystem
  version: "1.7"
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Build system used for netsurf and its libs
  uri:
  - https://www.netsurf-browser.org
  license: MIT
  labels:
    emerge.packages: dev-util/netsurf-buildsystem
    kit: dev-kit
    original.package.name: dev-util/netsurf-buildsystem
    original.package.slot: "0"
    original.package.version: 1.7-r1
